Passing Login To Wordpress

Discussion in 'Pre-Sales Questions' started by gganwrqk, Jul 17, 2009.

  1. gganwrqk

    gganwrqk New Member

    Joined:
    Jul 17, 2009
    Messages:
    2
    I've downloaded the Trail Version of aMember 3.1.8 and integrated it with Wordpress 2.8 and PayPal. So far, I really like what I see, except the Login information is not passing to Wordpress.

    Users can register, pass to PayPal and pay for a subscription. Then, the user is entered into the Wordpress DB. Then, using the Login widget in the sidebar, the user logs in. The user ends up logged in on aMember; but, not in Wordpress.

    Any ideas? This is all I need to see yet from the trial version and I'll be ready to purchase.

    Thank You.
  2. davidm1

    davidm1 aMember User & Partner

    Joined:
    May 16, 2006
    Messages:
    4,435
    It sounds like something is off on your integration.
    Maybe you used "encrypted" keys in the define('AUTH_KEY' section of wordpress? You should use a simple phrase here.

    David
  3. gganwrqk

    gganwrqk New Member

    Joined:
    Jul 17, 2009
    Messages:
    2
    I double-checked my keys. I copied them over from my wp-config.php with a copy, paste and they all match what's in the file. They are the Auth_Key, Secure_Key and Login_Key.

    One thing I noticed was that the highest Wordpress version the plugin lets me select is 2.6. I'm using Wordpress 2.8. Could that be the problem?
  4. davidm1

    davidm1 aMember User & Partner

    Joined:
    May 16, 2006
    Messages:
    4,435
    Yes!!

    David
  5. techtamers

    techtamers New Member

    Joined:
    Jun 14, 2007
    Messages:
    7
    Same problem here

    Downloaded and installed amember wordpress plugin. Says only goes to 2.6 but I installed 2.8.2 (MA said it was fine to do so)

    Downloaded and installed membership academy login widget.

    Same problem. Can log in - but it doesn't show on widget. AND it does not unlock items secured with hidepost.

    HELP! Been going round and round for past 24 hours.

    Jeanette
  6. techtamers

    techtamers New Member

    Joined:
    Jun 14, 2007
    Messages:
    7
    So are you saying we should only install 2.6 since that's the highest level the amember plugin supports? I could have sworn Membership Academy game the go-ahead to install 2.8.2 in latest video.

    Confused...

    Jeanette
  7. davidm1

    davidm1 aMember User & Partner

    Joined:
    May 16, 2006
    Messages:
    4,435
    No, 2.8.2 is fine, you just need to get the latest plugin from amember- specifically tell them you are using 2.8.2.

    David
  8. techtamers

    techtamers New Member

    Joined:
    Jun 14, 2007
    Messages:
    7
    Why not keep it updated?

    I don't understand amember's philosophy that we must ask for each piece we need? Seems to me that they should keep the downloads area up to date so that we CAN pull off an upgrade without a hitch. Would certainly help their reputation for being difficult to work with.

    Thanks for your help, David. Without you I'd have given up on this software 18 months ago. You're the glue that holds it together!

    Jeanette

    And if anyone isn't a member of David's site - join http://TheMembershipAcademy.com NOW!

Share This Page